Bug 372015 - kwin_x11 crashes when logging in
Summary: kwin_x11 crashes when logging in
Status: RESOLVED WORKSFORME
Alias: None
Product: kwin
Classification: Unclassified
Component: general (show other bugs)
Version: 5.8.3
Platform: Archlinux Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: drkonqi, triaged
Depends on:
Blocks:
 
Reported: 2016-11-03 10:40 UTC by a390517426
Modified: 2018-10-27 02:11 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description a390517426 2016-11-03 10:40:52 UTC
Application: kwin_x11 (5.8.3)

Qt Version: 5.7.0
Frameworks Version: 5.27.0
Operating System: Linux 4.8.6-1-ARCH x86_64
Distribution (Platform): Archlinux Packages

-- Information about the crash:
- What I was doing when the application crashed:

kwin_x11 may crash and try restarting multiple times when I logged into desktop

The crash can be reproduced every time.

-- Backtrace:
Application: KWin (kwin_x11), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fb34a322840 (LWP 776))]

Thread 4 (Thread 0x7fb32f6ca700 (LWP 825)):
#0  0x00007fb349d6252e in ppoll () at /usr/lib/libc.so.6
#1  0x00007fb347412ac9 in qt_safe_poll(pollfd*, unsigned long, timespec const*) () at /usr/lib/libQt5Core.so.5
#2  0x00007fb3474143b8 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#3  0x00007fb3473c123a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007fb3471e40f3 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#5  0x00007fb3471e8d78 in  () at /usr/lib/libQt5Core.so.5
#6  0x00007fb34300f454 in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007fb349d6b7df in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7fb31a256700 (LWP 812)):
#0  0x00007fb3474165b8 in QTimerInfoList::activateTimers() () at /usr/lib/libQt5Core.so.5
#1  0x00007fb347414618 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#2  0x00007fb3473c123a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#3  0x00007fb3471e40f3 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#4  0x00007fb341d6a2d5 in  () at /usr/lib/libQt5Qml.so.5
#5  0x00007fb3471e8d78 in  () at /usr/lib/libQt5Core.so.5
#6  0x00007fb34300f454 in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007fb349d6b7df in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7fb32da1b700 (LWP 780)):
#0  0x00007fb349d62551 in ppoll () at /usr/lib/libc.so.6
#1  0x00007fb347412ac9 in qt_safe_poll(pollfd*, unsigned long, timespec const*) () at /usr/lib/libQt5Core.so.5
#2  0x00007fb3474143b8 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#3  0x00007fb3473c123a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007fb3471e40f3 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#5  0x00007fb340f34e55 in  () at /usr/lib/libQt5DBus.so.5
#6  0x00007fb3471e8d78 in  () at /usr/lib/libQt5Core.so.5
#7  0x00007fb34300f454 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007fb349d6b7df in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7fb34a322840 (LWP 776)):
[KCrash Handler]
#6  0x00007fb341d01254 in  () at /usr/lib/libQt5Qml.so.5
#7  0x00007fb341cfeeb2 in QQmlMetaType::qmlSingletonTypes() () at /usr/lib/libQt5Qml.so.5
#8  0x00007fb341cd62d0 in QQmlEngine::~QQmlEngine() () at /usr/lib/libQt5Qml.so.5
#9  0x00007fb341cd6449 in QQmlEngine::~QQmlEngine() () at /usr/lib/libQt5Qml.so.5
#10 0x00007fb349cb8990 in __run_exit_handlers () at /usr/lib/libc.so.6
#11 0x00007fb349cb89ea in  () at /usr/lib/libc.so.6
#12 0x00007fb330178ba3 in  () at /usr/lib/libQt5XcbQpa.so.5
#13 0x00007fb3473ef4b9 in QObject::event(QEvent*) () at /usr/lib/libQt5Core.so.5
#14 0x00007fb3480a2e0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#15 0x00007fb3480aa581 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#16 0x00007fb3473c2de0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#17 0x00007fb3473c556d in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib/libQt5Core.so.5
#18 0x00007fb34a028a26 in  () at /usr/lib/libkdeinit5_kwin_x11.so
#19 0x00007fb3473ee659 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#20 0x00007fb3489d656b in KSelectionOwner::filterEvent(void*) () at /usr/lib/libKF5WindowSystem.so.5
#21 0x00007fb3473c037f in QAbstractEventDispatcher::filterNativeEvent(QByteArray const&, void*, long*) () at /usr/lib/libQt5Core.so.5
#22 0x00007fb330177c14 in QXcbConnection::handleXcbEvent(xcb_generic_event_t*) () at /usr/lib/libQt5XcbQpa.so.5
#23 0x00007fb3301788a5 in QXcbConnection::processXcbEvents() () at /usr/lib/libQt5XcbQpa.so.5
#24 0x00007fb3473ef4b9 in QObject::event(QEvent*) () at /usr/lib/libQt5Core.so.5
#25 0x00007fb3480a2e0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#26 0x00007fb3480aa581 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#27 0x00007fb3473c2de0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#28 0x00007fb3473c556d in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib/libQt5Core.so.5
#29 0x00007fb3474141fa in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#30 0x00007fb3301ef0dd in  () at /usr/lib/libQt5XcbQpa.so.5
#31 0x00007fb3473c123a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#32 0x00007fb3473c973c in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5
#33 0x00007fb34a02a495 in kdemain () at /usr/lib/libkdeinit5_kwin_x11.so
#34 0x00007fb349ca3291 in __libc_start_main () at /usr/lib/libc.so.6
#35 0x000000000040069a in _start ()

Reported using DrKonqi
Comment 1 Martin Flöser 2016-11-03 10:48:40 UTC
Unfortunately the backtrace is lacking debug symbols. We see it's a crash on tear-down but not where it really crashes.

In case you are not using the Breeze window decoration please switch to it.
Comment 2 Gregory M. Turner 2016-11-20 21:28:20 UTC
Looks damn familiar to me.  Every time I log in, decorations are zapped and replaced, and I get what sure looks to me like OP's trace.  Unfortunately, drkonqui likes to crash and/or lock up soon afterwards.  Are they stored somewhere?  Even somewhere temporary that would persist after a drkonqui segfault?  I seem to have disabled coredumpctl too for some stupid reason :(.

I have lots and lots of symbols for you if I can just manage not to fumble ball one time.

So long as kwin successfully respawns, which it does about 90% of the time, everything is more-or-less fine after this.  If I had to pick a likely culprit I'd tend to suspect it's something to do with some fancy xrandr footwork I allow to race with my sddm login.

I guess, it's taken me several recurrences to learn that (a) it's not some sort of transient thing that will magically go away, and (b) drkonqi is never going to work his usual magic and I'll need to do something other than ask him to automate my telemetry.

Pretty sure this only started as of 5.8.2 or 5.8.3.  I didn't have any 5.8.x for long, so, in truth, I could have missed earlier incidents or presumptively attributed crashes to other stuff.  Anyhow, I'm quite sure the drkonqi report was not happening two weeks ago.
Comment 3 Gregory M. Turner 2016-11-20 21:33:24 UTC
P.S.: I have gentoo ~amd64 not Arch.
Comment 4 Gregory M. Turner 2016-11-20 21:46:50 UTC
hm, wierd.  now, after logging in, no crash.

Pretty sure the only thing I changed was to add this to konsole:

From e434862050abe2ec48a0c506faf8e2a5f0fe99a9 Mon Sep 17 00:00:00 2001
From: "Martin T. H. Sandsmark" <martin.sandsmark@kde.org>
Date: Sun, 4 Sep 2016 14:12:02 +0200
Subject: [PATCH] Make the config of file filters and url filters separate

REVIEW: 128828
BUG: 368234

Which I haven't carefully looked at.  If it recurs I'll do my best to grab a trace.  In the meanwhile I'll try to look into whats up with my coredumpctl.
Comment 5 Gregory M. Turner 2016-11-21 09:41:18 UTC
Ok, got it.  However I'm not sure if this is the same as OP's crash or not anymore.  Anyhow I'll let the experts judge.  If you guys want more details I'd be happy to provide them.

My box is not terribly interesting, but neither is it totally standard.  In addition to the usual Gentoo rice, my system is shockingly ancient -- much older than my hardware -- and somewhat cavalierly maintained.

Either way, I seem to have established my issueis not fully reproducible but close enough that I can probably reproduce the problem on demand by just rebooting a few times.


--
Application: kwin_x11 (5.8.3)

Qt Version: 5.6.2
Frameworks Version: 5.28.0
Operating System: Linux 4.8.9-gentoo-gmt-00 x86_64
Distribution: "Gentoo Base System release 2.3"

-- Information about the crash:
<In detail, tell us what you were doing  when the application crashed.>

The crash can be reproduced sometimes.

-- Backtrace:
Application: KWin (kwin_x11), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
84	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f9c3faf5840 (LWP 3112))]

Thread 11 (Thread 0x7f9b9f7fe700 (LWP 3356)):
#0  0x00007f9c3f58b853 in select () at ../sysdeps/unix/syscall-template.S:84
#1  0x00000030f1084fff in qt_safe_select (nfds=17, fdread=fdread@entry=0x7f9b90000a58, fdwrite=fdwrite@entry=0x7f9b90000ce8, fdexcept=fdexcept@entry=0x7f9b90000f78, orig_timeout=orig_timeout@entry=0x0) at kernel/qcore_unix.cpp:65
#2  0x00000030f10863e9 in QEventDispatcherUNIX::select (timeout=0x0, exceptfds=0x7f9b90000f78, writefds=0x7f9b90000ce8, readfds=0x7f9b90000a58, nfds=<optimized out>, this=0x7f9b9013d6a0) at kernel/qeventdispatcher_unix.cpp:320
#3  QEventDispatcherUNIXPrivate::doSelect (this=this@entry=0x7f9b900008c0, flags=..., flags@entry=..., timeout=timeout@entry=0x0) at kernel/qeventdispatcher_unix.cpp:196
#4  0x00000030f10868ea in QEventDispatcherUNIX::processEvents (this=0x7f9b9013d6a0, flags=...) at kernel/qeventdispatcher_unix.cpp:607
#5  0x00000030f103a71a in QEventLoop::exec (this=this@entry=0x7f9b9f7fdd60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#6  0x00000030f0ea01e4 in QThread::exec (this=this@entry=0x7a09a0) at thread/qthread.cpp:500
#7  0x00000031024be115 in QQmlThreadPrivate::run (this=0x7a09a0) at qml/ftw/qqmlthread.cpp:141
#8  0x00000030f0ea459b in QThreadPrivate::start (arg=0x7a09a0) at thread/qthread_unix.cpp:365
#9  0x00007f9c3c004362 in start_thread (arg=0x7f9b9f7fe700) at pthread_create.c:333
#10 0x00007f9c3f59296d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7f9b967fc700 (LWP 3332)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f9b9d800b43 in cnd_wait (mtx=0xb41168, cond=0xb41190) at /usr/src/debug/media-libs/mesa-13.0.1/mesa-13.0.1/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x8362c0) at /usr/src/debug/media-libs/mesa-13.0.1/mesa-13.0.1/src/gallium/auxiliary/util/u_queue.c:76
#3  0x00007f9b9d8009a7 in impl_thrd_routine (p=<optimized out>) at /usr/src/debug/media-libs/mesa-13.0.1/mesa-13.0.1/include/c11/threads_posix.h:87
#4  0x00007f9c3c004362 in start_thread (arg=0x7f9b967fc700) at pthread_create.c:333
#5  0x00007f9c3f59296d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7f9b96ffd700 (LWP 3331)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f9b9d800b43 in cnd_wait (mtx=0xb41168, cond=0xb41190) at /usr/src/debug/media-libs/mesa-13.0.1/mesa-13.0.1/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x8cbcf0) at /usr/src/debug/media-libs/mesa-13.0.1/mesa-13.0.1/src/gallium/auxiliary/util/u_queue.c:76
#3  0x00007f9b9d8009a7 in impl_thrd_routine (p=<optimized out>) at /usr/src/debug/media-libs/mesa-13.0.1/mesa-13.0.1/include/c11/threads_posix.h:87
#4  0x00007f9c3c004362 in start_thread (arg=0x7f9b96ffd700) at pthread_create.c:333
#5  0x00007f9c3f59296d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7f9b977fe700 (LWP 3329)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f9b9d800b43 in cnd_wait (mtx=0xb41168, cond=0xb41190) at /usr/src/debug/media-libs/mesa-13.0.1/mesa-13.0.1/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x8d0130) at /usr/src/debug/media-libs/mesa-13.0.1/mesa-13.0.1/src/gallium/auxiliary/util/u_queue.c:76
#3  0x00007f9b9d8009a7 in impl_thrd_routine (p=<optimized out>) at /usr/src/debug/media-libs/mesa-13.0.1/mesa-13.0.1/include/c11/threads_posix.h:87
#4  0x00007f9c3c004362 in start_thread (arg=0x7f9b977fe700) at pthread_create.c:333
#5  0x00007f9c3f59296d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7f9b97fff700 (LWP 3328)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f9b9d800b43 in cnd_wait (mtx=0xb41168, cond=0xb41190) at /usr/src/debug/media-libs/mesa-13.0.1/mesa-13.0.1/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x8cbcf0) at /usr/src/debug/media-libs/mesa-13.0.1/mesa-13.0.1/src/gallium/auxiliary/util/u_queue.c:76
#3  0x00007f9b9d8009a7 in impl_thrd_routine (p=<optimized out>) at /usr/src/debug/media-libs/mesa-13.0.1/mesa-13.0.1/include/c11/threads_posix.h:87
#4  0x00007f9c3c004362 in start_thread (arg=0x7f9b97fff700) at pthread_create.c:333
#5  0x00007f9c3f59296d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7f9b9cfac700 (LWP 3327)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f9b9d800b43 in cnd_wait (mtx=0xb40510, cond=0xb40538) at /usr/src/debug/media-libs/mesa-13.0.1/mesa-13.0.1/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x7f6bb0) at /usr/src/debug/media-libs/mesa-13.0.1/mesa-13.0.1/src/gallium/auxiliary/util/u_queue.c:76
#3  0x00007f9b9d8009a7 in impl_thrd_routine (p=<optimized out>) at /usr/src/debug/media-libs/mesa-13.0.1/mesa-13.0.1/include/c11/threads_posix.h:87
#4  0x00007f9c3c004362 in start_thread (arg=0x7f9b9cfac700) at pthread_create.c:333
#5  0x00007f9c3f59296d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7f9c2d5ea700 (LWP 3266)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x0000003138578774 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x313865df00 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00000031385787b9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f9c3c004362 in start_thread (arg=0x7f9c2d5ea700) at pthread_create.c:333
#4  0x00007f9c3f59296d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7f9c2e5eb700 (LWP 3264)):
#0  0x00007f9c3f58b853 in select () at ../sysdeps/unix/syscall-template.S:84
#1  0x00000030f1084fff in qt_safe_select (nfds=14, fdread=fdread@entry=0x7f9c24000a78, fdwrite=fdwrite@entry=0x7f9c24000d08, fdexcept=fdexcept@entry=0x7f9c24000f98, orig_timeout=orig_timeout@entry=0x0) at kernel/qcore_unix.cpp:65
#2  0x00000030f10863e9 in QEventDispatcherUNIX::select (timeout=0x0, exceptfds=0x7f9c24000f98, writefds=0x7f9c24000d08, readfds=0x7f9c24000a78, nfds=<optimized out>, this=0x7f9c240008c0) at kernel/qeventdispatcher_unix.cpp:320
#3  QEventDispatcherUNIXPrivate::doSelect (this=this@entry=0x7f9c240008e0, flags=..., flags@entry=..., timeout=timeout@entry=0x0) at kernel/qeventdispatcher_unix.cpp:196
#4  0x00000030f10868ea in QEventDispatcherUNIX::processEvents (this=0x7f9c240008c0, flags=...) at kernel/qeventdispatcher_unix.cpp:607
#5  0x00000030f103a71a in QEventLoop::exec (this=this@entry=0x7f9c2e5ead60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#6  0x00000030f0ea01e4 in QThread::exec (this=this@entry=0x817f50) at thread/qthread.cpp:500
#7  0x00000031024be115 in QQmlThreadPrivate::run (this=0x817f50) at qml/ftw/qqmlthread.cpp:141
#8  0x00000030f0ea459b in QThreadPrivate::start (arg=0x817f50) at thread/qthread_unix.cpp:365
#9  0x00007f9c3c004362 in start_thread (arg=0x7f9c2e5eb700) at pthread_create.c:333
#10 0x00007f9c3f59296d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f9c2ffff700 (LWP 3159)):
#0  0x00007f9c3f58b853 in select () at ../sysdeps/unix/syscall-template.S:84
#1  0x00000030f1084fff in qt_safe_select (nfds=9, fdread=fdread@entry=0x7f9c28000a78, fdwrite=fdwrite@entry=0x7f9c28000d08, fdexcept=fdexcept@entry=0x7f9c28000f98, orig_timeout=orig_timeout@entry=0x0) at kernel/qcore_unix.cpp:65
#2  0x00000030f10863e9 in QEventDispatcherUNIX::select (timeout=0x0, exceptfds=0x7f9c28000f98, writefds=0x7f9c28000d08, readfds=0x7f9c28000a78, nfds=<optimized out>, this=0x7f9c280008c0) at kernel/qeventdispatcher_unix.cpp:320
#3  QEventDispatcherUNIXPrivate::doSelect (this=this@entry=0x7f9c280008e0, flags=..., flags@entry=..., timeout=timeout@entry=0x0) at kernel/qeventdispatcher_unix.cpp:196
#4  0x00000030f10868ea in QEventDispatcherUNIX::processEvents (this=0x7f9c280008c0, flags=...) at kernel/qeventdispatcher_unix.cpp:607
#5  0x00000030f103a71a in QEventLoop::exec (this=this@entry=0x7f9c2fffed50, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#6  0x00000030f0ea01e4 in QThread::exec (this=this@entry=0x30f3a87d40 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:500
#7  0x00000030f3a15425 in QDBusConnectionManager::run (this=0x30f3a87d40 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:189
#8  0x00000030f0ea459b in QThreadPrivate::start (arg=0x30f3a87d40 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:365
#9  0x00007f9c3c004362 in start_thread (arg=0x7f9c2ffff700) at pthread_create.c:333
#10 0x00007f9c3f59296d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f9c3639c700 (LWP 3132)):
#0  0x00007f9c3f589add in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00000030e860c822 in poll (__timeout=-1, __nfds=1, __fds=0x7f9c3639bc80) at /usr/include/bits/poll2.h:46
#2  _xcb_conn_wait (c=c@entry=0x634a20, cond=cond@entry=0x634a60, vector=vector@entry=0x0, count=count@entry=0x0) at /usr/src/debug/x11-libs/libxcb-1.12-r2/libxcb-1.12/src/xcb_conn.c:479
#3  0x00000030e860e5b7 in xcb_wait_for_event (c=0x634a20) at /usr/src/debug/x11-libs/libxcb-1.12-r2/libxcb-1.12/src/xcb_in.c:693
#4  0x00007f9c36a2fc19 in QXcbEventReader::run (this=0x647ab0) at qxcbconnection.cpp:1331
#5  0x00000030f0ea459b in QThreadPrivate::start (arg=0x647ab0) at thread/qthread_unix.cpp:365
#6  0x00007f9c3c004362 in start_thread (arg=0x7f9c3639c700) at pthread_create.c:333
#7  0x00007f9c3f59296d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f9c3faf5840 (LWP 3112)):
[KCrash Handler]
#6  QV4::Value::as<QV4::QQmlValueTypeWrapper const> (this=0x7f9b957fd320) at ../../src/qml/jsruntime/qv4value_p.h:372
#7  QQmlBinding::write (this=this@entry=0x1242100, core=..., result=..., isUndefined=<optimized out>, flags=...) at qml/qqmlbinding.cpp:257
#8  0x00000031024ab6d2 in QQmlBinding::update (this=0x1242100, flags=...) at qml/qqmlbinding.cpp:191
#9  0x00000031024b445e in QQmlObjectCreator::finalize (this=0x8c6560, interrupt=...) at qml/qqmlobjectcreator.cpp:1219
#10 0x00000031024434b6 in QQmlComponentPrivate::complete (enginePriv=0x7fac60, state=0x82d060) at qml/qqmlcomponent.cpp:922
#11 0x000000310244356f in QQmlComponentPrivate::completeCreate (this=0x82cfc0) at qml/qqmlcomponent.cpp:958
#12 0x0000003102443400 in QQmlComponent::create (this=0x82cfa0, context=0x78af30) at qml/qqmlcomponent.cpp:784
#13 0x00007f9c3422aef5 in Aurorae::Decoration::init (this=0x792550) at /usr/src/debug/kde-plasma/kwin-5.8.3/kwin-5.8.3/plugins/kdecorations/aurorae/src/aurorae.cpp:316
#14 0x00007f9c3f1b277d in KWin::Decoration::DecorationBridge::createDecoration (this=0x6cae60, client=client@entry=0xc550f0) at /usr/src/debug/kde-plasma/kwin-5.8.3/kwin-5.8.3/decorations/decorationbridge.cpp:260
#15 0x00007f9c3f0989f1 in KWin::Client::createDecoration (this=this@entry=0xc550f0, oldgeom=...) at /usr/src/debug/kde-plasma/kwin-5.8.3/kwin-5.8.3/client.cpp:393
#16 0x00007f9c3f0995a3 in KWin::Client::updateDecoration (this=0xc550f0, check_workspace_pos=<optimized out>, force=<optimized out>) at /usr/src/debug/kde-plasma/kwin-5.8.3/kwin-5.8.3/client.cpp:380
#17 0x00007f9c3f0f6d5e in KWin::Client::manage (this=this@entry=0xc550f0, w=w@entry=12582916, isMapped=isMapped@entry=false) at /usr/src/debug/kde-plasma/kwin-5.8.3/kwin-5.8.3/manage.cpp:390
#18 0x00007f9c3f07cbc4 in KWin::Workspace::createClient (this=this@entry=0x749670, w=12582916, is_mapped=is_mapped@entry=false) at /usr/src/debug/kde-plasma/kwin-5.8.3/kwin-5.8.3/workspace.cpp:517
#19 0x00007f9c3f0e460b in KWin::Workspace::workspaceEvent (this=0x749670, e=0x7f9c30002760) at /usr/src/debug/kde-plasma/kwin-5.8.3/kwin-5.8.3/events.cpp:421
#20 0x00000030f10398a4 in QAbstractEventDispatcher::filterNativeEvent (this=<optimized out>, eventType=..., message=message@entry=0x7f9c30002760, result=result@entry=0x7ffd4310f598) at kernel/qabstracteventdispatcher.cpp:460
#21 0x00007f9c36a33b35 in QXcbConnection::handleXcbEvent (this=this@entry=0x633360, event=event@entry=0x7f9c30002760) at qxcbconnection.cpp:1094
#22 0x00007f9c36a34ade in QXcbConnection::processXcbEvents (this=0x633360) at qxcbconnection.cpp:1729
#23 0x00000030f10633e1 in QObject::event (this=0x633360, e=<optimized out>) at kernel/qobject.cpp:1256
#24 0x00007f9c3e67e91c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x633360, e=0x7f9c30008460) at kernel/qapplication.cpp:3804
#25 0x00007f9c3e683d3d in QApplication::notify (this=0x7ffd4310fbe0, receiver=0x633360, e=0x7f9c30008460) at kernel/qapplication.cpp:3561
#26 0x00000030f103b859 in QCoreApplication::notifyInternal2 (receiver=0x633360, event=event@entry=0x7f9c30008460) at kernel/qcoreapplication.cpp:1015
#27 0x00000030f103d828 in QCoreApplication::sendEvent (event=0x7f9c30008460, receiver=<optimized out>) at kernel/qcoreapplication.h:225
#28 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x61a390) at kernel/qcoreapplication.cpp:1650
#29 0x00000030f10867ca in QEventDispatcherUNIX::processEvents (this=0x61a9b0, flags=flags@entry=...) at kernel/qeventdispatcher_unix.cpp:579
#30 0x00007f9c36aa2415 in QUnixEventDispatcherQPA::processEvents (this=<optimized out>, flags=...) at eventdispatchers/qunixeventdispatcher.cpp:62
#31 0x00000030f103a71a in QEventLoop::exec (this=this@entry=0x7ffd4310fad0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#32 0x00000030f1041ff4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1285
#33 0x00007f9c3e12cf7c in QGuiApplication::exec () at kernel/qguiapplication.cpp:1607
#34 0x00007f9c3e67ba05 in QApplication::exec () at kernel/qapplication.cpp:2979
#35 0x00007f9c3f856101 in kdemain (argc=1, argv=0x7ffd4310fd68) at /usr/src/debug/kde-plasma/kwin-5.8.3/kwin-5.8.3/main_x11.cpp:466
#36 0x00007f9c3f4cd6c0 in __libc_start_main (main=0x4006e0 <main(int, char**)>, argc=3, argv=0x7ffd4310fd68, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffd4310fd58) at ../csu/libc-start.c:289
#37 0x0000000000400719 in _start ()

Possible duplicates by query: bug 370614, bug 368993, bug 367951, bug 367862, bug 366240.

Report to https://bugs.kde.org/
Comment 6 Sven Eden 2016-11-21 11:00:53 UTC
It's mesa.

I have tried a few times to upgrade to mesa-13.0.1, but kwin does not like it. Or it is the other way round.
Downgrading to mesa-12.0.4 solved the issue for me.

@Gregory: Find an ebuild of the missing 12.0.4 version of mesa in my overlay layman/seden.

My System:
Gentoo Linux
Kernel-4.8.9
QT-4.7.0
KDE-Frameworks-5.28.0
KDE-Plasma-5.8.3
KDE-Apps-16.08.3
Init System: OpenRC
Session Tracker: elogind

@Martin: btw, in august you blogged that in plasma 5.8 the EGL/GLX selection was removed, and that "on X11 the default will stay GLX".
Why is it, then, that whenever I re-activate compositing it will write "GLPlatformInterface=egl" into my kwinrc?
Comment 7 Martin Flöser 2016-11-21 13:10:30 UTC
@Gregory: you are hitting the standard Aurorae/QML crash. Use breeze window decoration.

@Sven: because KWin writes out the current runtime configuration. It loads with that from your config and writes it back. If you manually want to change the config you need to stop KWin.
Comment 8 Gregory M. Turner 2016-11-21 21:05:57 UTC
(In reply to Martin Gräßlin from comment #7)
> @Gregory: you are hitting the standard Aurorae/QML crash. Use breeze window
> decoration.

Ah, good.  Sorry for the noise, I'll give it a shot.
Comment 9 Wayne 2016-11-22 01:19:17 UTC
I have been experiencing a similar, but somewhat sporadic "crash" on boot-up, since an upgrade ~3-4+(?) months ago.  It happens ~50-75% of the time, closer to 100% the last week.  This crash happens, but then the machine apparently recovers and restarts kwin and then works without kwin re-crashing.
 
System: Debian "testing" net install late last year (new HD but I5/MB built about 5 yr ago), upgraded regularly. While it has extra software (video/audio/office/Myth/radio) and now debug files installed, it has not really been modified other than for auto login on boot.  
 
I am a neophyte on backtraces, but these backtraces/problems are not consistent.  This was the first today of two consecutive crashes on a single boot.  The second, is similar. I can provide that trace if wished.

Earlier crash reports were much more extensive, along the lines of the original report reported here, but were incomplete and the kcrash handler reported them as needing additional debug files for:
/usr/bin/kwin_x11
/usr/lib/x86_64-linux-gnu/libQt5Core.so.5
/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
/usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
/usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5

Other reported similar bugs seem to require user input/or are related to other programs which I have not provided to the operating system/do not seem to be in these traces.  But, I leave windows/programs open to expedite startup and those restart with the boot.

General Symptoms (may not be related to this kwin crash, but have been around since that upgrade).
-alt tab keyboard shortcut between programs no longer works. 
-very slow window responsiveness to changing among running programs-mainly libreoffice/iceweasel/icedove (lately several seconds or more).  That seems to be fixed by a memory transplant last week (to 16Gb from 8Gb). 

Other erratic symptoms which may or may not be related:
-after this crash kate's title bar was mostly above the top screen edge, that operating program behaviour does not happen all the time. After moving the window and a change in focus to another program and back, it went back up mostly above the screen a couple of times. Reducing the size of the kate window apparently stopped that behavior, even after re-maximizing the window.  
-sometimes the widgets (? in the task bar ? not sure those are the right names) for running programs do not show up and one has to close or kill the top program to see/switch to the window underneath.
-A second boot (occasionally a third) will clear problems up.

Other:  systemd gives messages on shutdown, maybe ~15-20% of the time, about failure to unmount swap (4x) and a couple of times I have noted an extra similar message for the rpc file system.  Again this swap thing started up about the same time as the upgrade. Changes to the originally installed fstab (by the net install disk which used /dev/sdx rather than the uuid for the swap) seemed to have fixed that swap issue a few weeks ago, but that restarted recently. 
 
Current software is 
Linux debian 4.7.0-1-amd64 #1 SMP Debian 4.7.8-1 (2016-10-19) x86_64 GNU/Linux
Package: qt5-default  Source: qtbase-opensource-src (5.6.1+dfsg-3)
Package: breeze  Version: 4:5.8.2-1
Package: kde-full Source: meta-kde  Version: 5:91
Package: kwin-x11 Source: kwin  Version: 4:5.8.2-1

I installed breeze from Jessie a month or so ago, that did not seem to help so have changed apt back to point to Stretch.


Wayne

Application: KWin (kwin_x11), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fa59bbfae00 (LWP 2238))]

Thread 3 (Thread 0x7fa57298c700 (LWP 2261)):
#0  __libc_enable_asynccancel () at ../sysdeps/unix/sysv/linux/x86_64/cancellation.S:73
#1  0x00007fa5b31702a5 in select () at ../sysdeps/unix/syscall-template.S:84
#2  0x00007fa5b0fd5d3f in qt_safe_select (nfds=16, fdread=fdread@entry=0x7fa56c000a78, fdwrite=fdwrite@entry=0x7fa56c000d08, fdexcept=fdexcept@entry=0x7fa56c000f98, orig_timeout=orig_timeout@entry=0x0) at kernel/qcore_unix.cpp:75
#3  0x00007fa5b0fd77e4 in QEventDispatcherUNIX::select (timeout=0x0, exceptfds=0x7fa56c000f98, writefds=0x7fa56c000d08, readfds=0x7fa56c000a78, nfds=<optimized out>, this=0x7fa56c0008c0) at kernel/qeventdispatcher_unix.cpp:320
#4  QEventDispatcherUNIXPrivate::doSelect (this=this@entry=0x7fa56c0008e0, flags=..., flags@entry=..., timeout=timeout@entry=0x0) at kernel/qeventdispatcher_unix.cpp:196
#5  0x00007fa5b0fd7cfa in QEventDispatcherUNIX::processEvents (this=0x7fa56c0008c0, flags=...) at kernel/qeventdispatcher_unix.cpp:607
#6  0x00007fa5b0f8219a in QEventLoop::exec (this=this@entry=0x7fa57298bc60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#7  0x00007fa5b0da7e53 in QThread::exec (this=this@entry=0x22e8130) at thread/qthread.cpp:500
#8  0x00007fa5abf88a55 in QQmlThreadPrivate::run (this=0x22e8130) at qml/ftw/qqmlthread.cpp:141
#9  0x00007fa5b0dacd78 in QThreadPrivate::start (arg=0x22e8130) at thread/qthread_unix.cpp:341
#10 0x00007fa5ace2b464 in start_thread (arg=0x7fa57298c700) at pthread_create.c:333
#11 0x00007fa5b31779df in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 2 (Thread 0x7fa5991e2700 (LWP 2241)):
#0  0x00007fa5b31702b3 in select () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa5b0fd5d3f in qt_safe_select (nfds=8, fdread=fdread@entry=0x7fa58c000a78, fdwrite=fdwrite@entry=0x7fa58c000d08, fdexcept=fdexcept@entry=0x7fa58c000f98, orig_timeout=orig_timeout@entry=0x0) at kernel/qcore_unix.cpp:75
#2  0x00007fa5b0fd77e4 in QEventDispatcherUNIX::select (timeout=0x0, exceptfds=0x7fa58c000f98, writefds=0x7fa58c000d08, readfds=0x7fa58c000a78, nfds=<optimized out>, this=0x7fa58c0008c0) at kernel/qeventdispatcher_unix.cpp:320
#3  QEventDispatcherUNIXPrivate::doSelect (this=this@entry=0x7fa58c0008e0, flags=..., flags@entry=..., timeout=timeout@entry=0x0) at kernel/qeventdispatcher_unix.cpp:196
#4  0x00007fa5b0fd7cfa in QEventDispatcherUNIX::processEvents (this=0x7fa58c0008c0, flags=...) at kernel/qeventdispatcher_unix.cpp:607
#5  0x00007fa5b0f8219a in QEventLoop::exec (this=this@entry=0x7fa5991e1c50, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fa5b0da7e53 in QThread::exec (this=this@entry=0x7fa5b37edd60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:500
#7  0x00007fa5b3779525 in QDBusConnectionManager::run (this=0x7fa5b37edd60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:189
#8  0x00007fa5b0dacd78 in QThreadPrivate::start (arg=0x7fa5b37edd60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:341
#9  0x00007fa5ace2b464 in start_thread (arg=0x7fa5991e2700) at pthread_create.c:333
#10 0x00007fa5b31779df in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Thread 1 (Thread 0x7fa59bbfae00 (LWP 2238)):
[KCrash Handler]
#6  QHash<QHashedStringRef, QQmlType*>::size (this=0x10) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qhash.h:259
#7  QHash<QHashedStringRef, QQmlType*>::values (this=0x10) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qhash.h:679
#8  0x00007fa5abf1dcd2 in QQmlMetaType::qmlSingletonTypes () at qml/qqmlmetatype.cpp:1911
#9  0x00007fa5abef5731 in QQmlEngine::~QQmlEngine (this=0x22e3320, __in_chrg=<optimized out>) at qml/qqmlengine.cpp:965
#10 0x00007fa5abef58a9 in QQmlEngine::~QQmlEngine (this=0x22e3320, __in_chrg=<optimized out>) at qml/qqmlengine.cpp:971
#11 0x00007fa5b30c4920 in __run_exit_handlers (status=status@entry=1, listp=0x7fa5b34275d8 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true, run_dtors=run_dtors@entry=true) at exit.c:83
#12 0x00007fa5b30c497a in __GI_exit (status=status@entry=1) at exit.c:105
#13 0x00007fa59b968533 in QXcbConnection::processXcbEvents (this=0x2170a00) at qxcbconnection.cpp:1687
#14 0x00007fa5b0fb2729 in QObject::event (this=0x2170a00, e=<optimized out>) at kernel/qobject.cpp:1256
#15 0x00007fa5b18c0bec in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x2170a00, e=0x7fa594002500) at kernel/qapplication.cpp:3804
#16 0x00007fa5b18c608f in QApplication::notify (this=0x7ffd99f5be40, receiver=0x2170a00, e=0x7fa594002500) at kernel/qapplication.cpp:3561
#17 0x00007fa5b0f84450 in QCoreApplication::notifyInternal2 (receiver=0x2170a00, event=event@entry=0x7fa594002500) at kernel/qcoreapplication.cpp:1015
#18 0x00007fa5b0f863cc in QCoreApplication::sendEvent (event=0x7fa594002500, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:225
#19 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x2159640) at kernel/qcoreapplication.cpp:1650
#20 0x00007fa5b0fd7be2 in QEventDispatcherUNIX::processEvents (this=0x21a88c0, flags=...) at kernel/qeventdispatcher_unix.cpp:579
#21 0x00007fa59b9da0ad in QUnixEventDispatcherQPA::processEvents (this=<optimized out>, flags=...) at eventdispatchers/qunixeventdispatcher.cpp:62
#22 0x00007fa5b0f8219a in QEventLoop::exec (this=this@entry=0x7ffd99f5bd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#23 0x00007fa5b0f8a99c in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1285
#24 0x00007fa5b12ceb6c in QGuiApplication::exec () at kernel/qguiapplication.cpp:1607
#25 0x00007fa5b18bdc25 in QApplication::exec () at kernel/qapplication.cpp:2979
#26 0x00007fa5b3436206 in kdemain (argc=<optimized out>, argv=0x7ffd99f5bfc8) at ./main_x11.cpp:466
#27 0x00007fa5b30af2b1 in __libc_start_main (main=0x400670 <main>, argc=3, argv=0x7ffd99f5bfc8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffd99f5bfb8) at ../csu/libc-start.c:291
#28 0x00000000004006aa in _start ()
Comment 10 Sven Eden 2016-11-22 08:22:13 UTC
(In reply to Martin Gräßlin from comment #7)
> @Sven: because KWin writes out the current runtime configuration. It loads
> with that from your config and writes it back. If you manually want to
> change the config you need to stop KWin.

I am very sorry that I did not make this clear enough. I'll try with a list of actions.

- Machine booted to console after one of those crashes.
- Edit ~/.config/kwinrc and set OpenGLIsUnsafe to "false" and GLPlatformInterface to "glx". (Without the quotation marks of course)
- Start SDDM via xdm and log into Plasma.
- Compositor is off, systemsettings5 states that it crashed kwin in the past.
- Reactivate OpenGL detection.
- All decorations disappear with kwin crashing.
- Open Yakuake with F12 and "grep GLPlatform ~/.config/kwinrc" reveals, that it is back to "egl".

So no, it did not write back a configuration it read, it just decided that egl is a good thing to use.

I have scanned all my system and user files whether I have accidentally set KWIN_OPENGL_INTERFACE="egl" somewhere, but my search revealed nothing.

So I have solved this particular part for me by simply adding KWIN_OPENGL_INTERFACE="glx" to the environment.

I am back on mesa-12.0.4 and kwin uses the glx back end. Everything is stable.

But another question: Is the "Standard Aurorae/QML" thing something that is worked on? 
Actually I do use Oxygen with Helium Design and air-oxygen decorations.
It is okay if people like Breeze, but I do not. It is too flat, too monochromatic and is more in my way than it helps. The desings based on Breeze do not mix well with the Oxygen icons, and the breeze icons are a nightmare. It is like being back on an Amiga 500 Workbench 1.3 with a monochrome monitor.

However, kwin crashes too with everything set to "Breeze" when mesa-13+ is installed. But I guess forcing "glx" might fix that, I'll try this out today and report back.
Meaning: kwin-5.8.3 + mesa-13.0.1 + forced "glx" PlatformInterface + "Breeze everywhere".
Comment 11 Martin Flöser 2016-11-22 09:38:44 UTC
@Sven: the only possibility that KWin picks EGL without any config set to it or env variable is that you compiled the Qt and KWin stack with OpenGL ES instead of OpenGL. This is something we see quite often for Gentoo users.

Concerning the Aurorae crash: no, nobody is working on it. While we see the crash happens for many users, we devs have never been able to reproduce it.
Comment 12 Sven Eden 2016-11-22 11:12:06 UTC
Unfortunately this was a no go. And the "Backtrace" is highly illuminating:

"Application: KWin (kwin_x11), signal: Aborted"

That's it. Nothing more. No backtrace, nothing.



(In reply to Martin Gräßlin from comment #11)
> @Sven: the only possibility that KWin picks EGL without any config set to it
> or env variable is that you compiled the Qt and KWin stack with OpenGL ES
> instead of OpenGL. This is something we see quite often for Gentoo users.

So there is a) the removal of the EGL/GLX choice, but b) a backdoor for EGL slithering back in without any control of the user. I'd call that an oversight that needs to be fixed? ;-)

However, there was a time when GLES2 support was needed for EGL, which is needed for wayland. If that is no longer the case, we can eventually build everything without any OpenGL ES support? That would be so great! :-)
(Honestly, GLES is a pain.)

But as I see now, libsdl2-2.0.5 wants mesa with GLES2 support for it to be able to use wayland. Yes. It's configure script needs both video_opengl_egl and video_opengles_v2 to allow to enable video_wayland.
...what a pity. No wayland support for libsdl2 then.

Everything else seems to have gotten rid of that ridiculous dependency. *yay*!

(In reply to Martin Gräßlin from comment #11)
> Concerning the Aurorae crash: no, nobody is working on it. While we see the
> crash happens for many users, we devs have never been able to reproduce it.

Well, I have no crash with mesa-12.0.4 and GLX. The whole damn thing is rock solid here. The only way for me to reproduce this is when "EGL" is chosen. (Which I just forced off anyway.)

Buuuut maybe your hint about OpenGL ES 2 is the key to solving this. I am currently rebuilding everything that had GLES2 support without it.

The fine thing about gentoo is, that we can easily try these things out, and even on a very fine grained scale. :-)
Comment 13 Martin Flöser 2016-11-22 11:59:58 UTC
> However, there was a time when GLES2 support was needed for EGL, which is needed for wayland. If that is no longer the case, we can eventually build everything without any OpenGL ES support? That would be so great! :-)
(Honestly, GLES is a pain.)

This requirement went away years ago. EGL is not bound to OpenGL ES any more and can create an OpenGL context. That's how Wayland works today.
Comment 14 Sven Eden 2016-11-22 13:15:20 UTC
(In reply to Martin Gräßlin from comment #13)
> > However, there was a time when GLES2 support was needed for EGL, which is needed for wayland. If that is no longer the case, we can eventually build everything without any OpenGL ES support? That would be so great! :-)
> (Honestly, GLES is a pain.)
> 
> This requirement went away years ago. EGL is not bound to OpenGL ES any more
> and can create an OpenGL context. That's how Wayland works today.

And it was the culprit. I have removed all support for OpenGL ES and Plasma works fine with my Aurorae setup using mesa-13.0.1.


Martin, thank you very much!
Without your help I would not have suspected GLES support to be the problem anytime soon! :-)
Comment 15 Andrew Crouthamel 2018-09-26 22:15:01 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 15 days. Please provide the requested information as soon as possible and set the bug status as REPORTED. Due to regular bug tracker maintenance, if the bug is still in NEEDSINFO status with no change in 30 days, the bug will be closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please set the bug status as REPORTED so that the KDE team knows that the bug is ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 16 Andrew Crouthamel 2018-10-27 02:11:22 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 30 days. The bug is now closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!